{
  roles,
  hlConfig,
}:
{
  hostname = "nix-test";
  managed = true;
  ip = "192.168.10.99";

  roles = with roles; [
    postgres
    podman

    traefik
    sonarr
    authentik
    forgejo
  ];
  config = {
    sonarr.domain = "service1.${hlConfig.domain}";
    authentik.domain = "service2.${hlConfig.domain}";
    forgejo.domain = "service3.${hlConfig.domain}";
    traefik.wildcardDomains = [
      hlConfig.domain
      "pds.${hlConfig.domain}"
    ];
  };
  stateVersion = "24.05";
}
